Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.serialize
Class Encodings

    java.lang.Object
      org.jasig.portal.serialize.Encodings

    public class Encodings

extends java.lang.Object

Provides information about encodings. Depends on the Java runtime to provides writers for the different encodings, but can be used to override encoding names and provide the last printable character for each encoding.

Version:
  $Id: Encodings.java,v 1.2 2003/04/04 00:46:36 wgthom Exp $
Author:
  Assaf Arkin

Field Summary
`private static EncodingInfo[]` | `_encodings` Constructs a list of all the supported encodings.
`(package private) static int` | `DefaultLastPrintable` The last printable character for unknown encodings.
`(package private) static java.lang.String` | `JIS_DANGER_CHARS`

Constructor Summary
`Encodings()`

Method Summary
`(package private) static EncodingInfo` | `getEncodingInfo(java.lang.String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DefaultLastPrintable

    static final int DefaultLastPrintable

  The last printable character for unknown encodings.

  See Also:
    Constant Field Values

### JIS_DANGER_CHARS

    static final java.lang.String JIS_DANGER_CHARS

See Also:
  Constant Field Values

### _encodings

    private static final EncodingInfo[] _encodings

  Constructs a list of all the supported encodings.

Constructor Detail

### Encodings

    public Encodings()

Method Detail

### getEncodingInfo

    static EncodingInfo getEncodingInfo(java.lang.String encoding)

  Parameters:
    `encoding` - a MIME charset name, or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD